package com.persagy.fm.department.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/3/12 4:31 下午
 */
@Data
@ApiModel(value = "部门列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseDepartmentTreeItemVO {
    @ApiModelProperty("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private String id;

    @ApiModelProperty("部门名称")
    private String name;

    @ApiModelProperty("父部门id")
    private String parentId;

    @ApiModelProperty("是否包含下级部门")
    private String hasChildren;

    @ApiModelProperty("子部门信息")
    private List<ResponseDepartmentTreeItemVO> children;
}
