package com.persagy.fm.department.service;

import com.persagy.fm.department.model.vo.ManagerSimpleObjVO;
import com.persagy.fm.saas.project.model.vo.ProjectSimpleObjVO;

import java.util.List;

/**
 * 部门相关翻译类
 *
 * @author lixing
 * @version V1.0 2021/3/29 11:26 上午
 **/
public interface IDepTranslator {
    /**
     * 获取部门负责人vo对象列表
     *
     * @param managerIds 部门负责人id列表
     * @return 部门负责人vo对象列表
     * @author lixing
     * @version V1.0 2021/3/29 11:27 上午
     */
    List<ManagerSimpleObjVO> getManagerVOList(List<String> managerIds);

    /**
     * 获取项目vo列表
     *
     * @param projectIds 项目id列表
     * @return 项目vo列表
     * @author lixing
     * @version V1.0 2021/3/29 11:28 上午
     */
    List<ProjectSimpleObjVO> getProjectVOList(List<String> projectIds);
}
