package com.persagy.fm.department.service.impl;

import com.persagy.fm.common.model.vo.EnumVO;
import com.persagy.fm.department.constant.enums.DepTypeEnum;
import com.persagy.fm.department.constant.enums.ResourceFromEnum;
import com.persagy.fm.department.service.IDepEnumService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 部门枚举service层
 *
 * @author lixing
 * @version V1.0 2021/3/12 6:49 下午
 **/
@Service
public class DepEnumServiceImpl implements IDepEnumService {
    @Override
    public List<EnumVO> queryDepTypeEnum() {
        List<EnumVO> resultList = new ArrayList<>(DepTypeEnum.values().length);
        Arrays.asList(DepTypeEnum.values()).forEach(depTypeEnum -> {
//            if (depTypeEnum == DepTypeEnum.GROUP) {
//                return;
//            }
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(depTypeEnum.getType());
            enumVO.setValue(depTypeEnum.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    @Override
    public List<EnumVO> queryDepResourceFromEnum() {
        List<EnumVO> resultList = new ArrayList<>(ResourceFromEnum.values().length);
        Arrays.asList(ResourceFromEnum.values()).forEach(resourceFromEnum -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(resourceFromEnum.getType());
            enumVO.setValue(resourceFromEnum.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }
}
