package com.persagy.fm.person.service.impl;

import com.persagy.fm.common.model.vo.EnumVO;
import com.persagy.fm.department.constant.enums.DepTypeEnum;
import com.persagy.fm.person.constant.enums.CertificateTypeEnum;
import com.persagy.fm.person.constant.enums.PersonTypeEnum;
import com.persagy.fm.person.service.IPersonEnumService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * 人员枚举类service层
 *
 * @author lixing
 * @version V1.0 2021/3/31 9:35 上午
 **/
@Service
public class PersonEnumServiceImpl implements IPersonEnumService {
    @Override
    public List<EnumVO> queryCertificateTypeEnum() {
        List<EnumVO> resultList = new ArrayList<>(CertificateTypeEnum.values().length);
        Arrays.asList(CertificateTypeEnum.values()).forEach(certificateTypeEnum -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(certificateTypeEnum.getType());
            enumVO.setValue(certificateTypeEnum.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }

    @Override
    public List<EnumVO> queryPersonTypeEnum() {
        List<EnumVO> resultList = new ArrayList<>(PersonTypeEnum.values().length);
        Arrays.asList(PersonTypeEnum.values()).forEach(personTypeEnum -> {
            EnumVO enumVO = new EnumVO();
            enumVO.setKey(personTypeEnum.getType());
            enumVO.setValue(personTypeEnum.getDesc());
            resultList.add(enumVO);
        });
        return resultList;
    }
}
