package com.persagy.fm.saas.accountproject.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-03-26 15:15:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "创建账号-集团项目关联信息入参")
public class AddSaasAccountProjectDTO extends SaasBaseDTO {
    @ApiModelProperty(value = "账号ID", required = true)
    @NotNull(message = "账号ID不能为空") 
    private String accountId;

    @ApiModelProperty(value = "项目ID", required = true)
    @NotNull(message = "项目ID不能为空") 
    private String projectId;

    @ApiModelProperty(value = "区域ID", required = true)
    @NotNull(message = "区域ID不能为空")
    private String areaId;
}
