package com.persagy.fm.saas.common.model.dto;

import com.persagy.fm.common.constant.PageQueryConstants;
import com.persagy.fm.common.context.AppContext;
import com.persagy.fm.saas.account.constant.enums.AccountBelongEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 运维平台基础dto类
 *
 * @author lixing
 * @version V1.0 2021/3/26 4:48 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class SaasBasePageDTO extends SaasBaseDTO{
    @ApiModelProperty("当前页数")
    private Integer page;
    @ApiModelProperty("每页条数")
    private Integer size;

    @Override
    public void setDefaultValue() {
        super.setDefaultValue();
        setPageInfo();
    }

    /**
     * 设置分页信息
     *
     * @author lixing
     * @version V1.0 2021/4/7 10:09 上午
     */
    public void setPageInfo() {
        if (this.page == null) {
            this.setPage(PageQueryConstants.DEFAULT_PAGE);
        }
        if (this.size == null) {
            this.setSize(PageQueryConstants.DEFAULT_SIZE);
        }
    }

    @Override
    public void setDefaultValueNoAccountId() {
        super.setDefaultValueNoAccountId();
        setPageInfo();
    }
}
