package com.persagy.fm.saas.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 区域项目树条目vo
 *
 * @author lixing
 * @version V1.0 2021/3/22 2:25 下午
 **/
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel
public class ProjectTreeItemVO {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("项目名称")
    private String name;
    @ApiModelProperty("区域id")
    private String areaId;
    @ApiModelProperty(value = "是否为项目，条目可能是区域或项目", notes = "com.persagy.fm.common.constant.enums.BoolEnum")
    private String isProject;
    @ApiModelProperty("子节点")
    private List<ProjectTreeItemVO> children;
}

