package com.persagy.fm.scheduling.vo.request;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@ApiModel("排版列表查询VO")
public class ScheduleListQueryVO {


    @NotNull(message = "年份为空")
    @ApiModelProperty(value = "年份", example = "2021")
    private Integer year;
    @NotNull(message = "月份为空")
    @ApiModelProperty(value = "月份", example = "1")
    private Integer month;
    @NotBlank(message = "项目数据为空")
    @ApiModelProperty(value = "项目id", example = "3435654131")
    private String projectId;
    @NotBlank(message = "部门数据为空")
    @ApiModelProperty(value = "部门id", example = "214457")
    private String departmentId;
    @Min(1)
    private Long pageSize;
    @Min(1)
    private Integer pageNum;
}
